Skip to main content
POST
Submit a signed transaction for broadcast (V2)

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

paymentId
string<uuid>
required

The payment id created previously. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

transactionId
string<uuid>
required

The transaction id created previously. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Body

application/json

Submit a V2 transaction to the blockchain

signedTransaction
string
required

Signed transaction. Base64 encoded for NEAR and Solana chains. Hex encoded for EVM chains.

Example:

"AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABpzlAhqqen7eyTe0KQ3w+9NS4E+7sscb+Cr..."

Response

Transaction submitted successfully.

V2 Transaction response wrapper

data
object
required

V2 transaction response schema containing details about the transaction amount, addresses, and status